/***************************************************************************
                          knewdirdialog.h  -  description
                             -------------------
    begin                : Mon Sep 8 2003
    copyright            : (C) 2003 by Klemens Meyer
    email                : klesmen@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KNEWDIRDIALOG_H
#define KNEWDIRDIALOG_H

#include <qwidget.h>
#include <kdirselectdialog.h>
#include <klineedit.h>

/**Dialog to create a new directory.
  *@author Klemens Meyer
  */

class KNewDirDialog : public KDirSelectDialog
{
   Q_OBJECT
public: 
	KNewDirDialog(const QString &startDir=QString::null, bool localOnly=false, QWidget *parent=0L, const char *name=0, bool modal=false);
	~KNewDirDialog();

public slots: // Public slots
  /** Creates a new directory */
  void newDir();
};

#endif
